Subject: Re: [PATCH 0/4] Fix routing metrics

From: Steffen Klassert <[email-masked]>
Date: Tue, 21 Feb 2012 07:19:22 +0100

On Fri, Feb 10, 2012 at 01:25:57PM -0500, David Miller wrote:
> From: Steffen Klassert <[email-masked]>
> Date: Fri, 10 Feb 2012 09:44:25 +0100
> 
> > On Fri, Feb 10, 2012 at 03:12:11AM -0500, David Miller wrote:
> >> 
> >> So since this happens, you don't need to check the inetpeer at every
> >> metric access.  The fact that all routing cache entries get recreated
> >> will do it for you.
> > 
> > So if rt_init_metrics() is not the right place to check for genid
> > changes, where would you suggest to do it?
> 
> It is the right place, and since it will happen there for every routing
> cache entry we use after a flush, the inetpeer issues will be taken
> care of by it.  Therefore you don't need to check anything at metrics
> access time.

Ok, apparently I looked at the wrong place. The only checks at metrics
access that might be superfluous are the inet_metrics_new() checks in
ipv4_metrics() and ipv6_metrics(). If these are the checks you mean,
I'd remove them and resend the patchset.